org.keycloak.storage.ldap.mappers

## Class TxAwareLDAPUserModelDelegate

- java.lang.Object
- - org.keycloak.models.utils.UserModelDelegate
  - - org.keycloak.storage.ldap.mappers.TxAwareLDAPUserModelDelegate

- All Implemented Interfaces:
    RoleMapperModel, RoleMapperModel.Streams, UserModel, UserModel.Streams
  Direct Known Subclasses:
    MSADUserAccountControlStorageMapper.MSADUserModelDelegate

      public abstract class TxAwareLDAPUserModelDelegate
      extends UserModelDelegate

  Author:
    Marek Posolda

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.keycloak.models.UserModel

      `UserModel.RequiredAction, UserModel.SearchableFields, UserModel.Streams, UserModel.UserRemovedEvent`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected LDAPObject` | `ldapUser`
    `static org.jboss.logging.Logger` | `logger`
    `protected LDAPStorageProvider` | `provider`

    - ### Fields inherited from class org.keycloak.models.utils.UserModelDelegate

      `delegate`

    - ### Fields inherited from interface org.keycloak.models.UserModel

      `COMPARE_BY_USERNAME, DISABLED_REASON, EMAIL, EMAIL_VERIFIED, ENABLED, EXACT, FIRST_NAME, GROUPS, IDP_ALIAS, IDP_USER_ID, INCLUDE_SERVICE_ACCOUNT, LAST_NAME, LOCALE, SEARCH, USERNAME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TxAwareLDAPUserModelDelegate(UserModel delegate, LDAPStorageProvider provider, LDAPObject ldapUser)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `ensureTransactionStarted()`
    `protected void` | `markUpdatedAttributeInTransaction(String modelAttributeName)`
    `protected void` | `markUpdatedRequiredActionInTransaction(String requiredActionName)`

    - ### Methods inherited from class org.keycloak.models.utils.UserModelDelegate

      `addRequiredAction, addRequiredAction, deleteRoleMapping, equals, getAttributes, getAttributeStream, getClientRoleMappingsStream, getCreatedTimestamp, getDelegate, getEmail, getFederationLink, getFirstAttribute, getFirstName, getGroupsStream, getId, getLastName, getRealmRoleMappingsStream, getRequiredActionsStream, getRoleMappingsStream, getServiceAccountClientLink, getUsername, grantRole, hashCode, hasRole, isEmailVerified, isEnabled, isMemberOf, joinGroup, leaveGroup, removeAttribute, removeRequiredAction, removeRequiredAction, setAttribute, setCreatedTimestamp, setEmail, setEmailVerified, setEnabled, setFederationLink, setFirstName, setLastName, setServiceAccountClientLink, setSingleAttribute, setUsername`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.keycloak.models.UserModel.Streams

      `getAttribute, getGroups, getRequiredActions`

    - ### Methods inherited from interface org.keycloak.models.UserModel

      `getGroups, getGroups, getGroupsCount, getGroupsCountByNameContaining, getGroupsStream`

    - ### Methods inherited from interface org.keycloak.models.RoleMapperModel.Streams

      `getClientRoleMappings, getRealmRoleMappings, getRoleMappings`

- - ### Field Detail

    - #### logger

          public static final org.jboss.logging.Logger logger

    - #### provider

          protected LDAPStorageProvider provider

    - #### ldapUser

          protected LDAPObject ldapUser

  - ### Constructor Detail

    - #### TxAwareLDAPUserModelDelegate

          public TxAwareLDAPUserModelDelegate(UserModel delegate,
                                              LDAPStorageProvider provider,
                                              LDAPObject ldapUser)

  - ### Method Detail

    - #### ensureTransactionStarted

          protected void ensureTransactionStarted()

    - #### markUpdatedAttributeInTransaction

          protected void markUpdatedAttributeInTransaction(String modelAttributeName)

    - #### markUpdatedRequiredActionInTransaction

          protected void markUpdatedRequiredActionInTransaction(String requiredActionName)

Copyright © 2021 JBoss by Red Hat. All rights reserved.